MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002422VCMIMechanics - Battlespublic2016-03-02 12:372016-09-23 05:21
ReporterKantor 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98g 
Target VersionFixed in Version0.99 
Summary0002422: Not all hexes can be used to place mines
DescriptionTrying to fill battlefield with mines will always leave some hexes untouched.
TagsNo tags attached.
Attached Filesjpg file icon minefield.jpg [^] (549,103 bytes) 2016-03-02 12:37


jpg file icon minefield 2.jpg [^] (525,165 bytes) 2016-03-02 20:51

- Relationships

-  Notes
(0006465)
AVS (administrator)
2016-03-02 17:04

I think this this not a bug.
(0006466)
Warmonger (administrator)
2016-03-02 17:16

Not sure about mines, but certainly you could fill entire battlefield with Quick Sand. Did that many times ;)
(0006467)
AVS (administrator)
2016-03-02 17:24

@Warmonger, We have explicit check "(hex.getX() > 2 && hex.getX() < 14)" for both Land Mine and Quick Sand ant it looks like done on purpose, is it just wrong?
(0006468)
AVS (administrator)
2016-03-02 18:31

Fixed in https://github.com/vcmi/vcmi/pull/198. [^] But still not sure )
(0006469)
Kantor (updater)
2016-03-02 20:51

^ Now both mines and quick sand hexes can appear outside the battlefield :)
(0006470)
AVS (administrator)
2016-03-03 10:48

Fixed the fix
(0006724)
SXX (administrator)
2016-09-23 05:21

Tested. Fixed in PR198:
https://github.com/vcmi/vcmi/pull/198 [^]

- Issue History
Date Modified Username Field Change
2016-03-02 12:37 Kantor New Issue
2016-03-02 12:37 Kantor File Added: minefield.jpg
2016-03-02 17:04 AVS Note Added: 0006465
2016-03-02 17:04 AVS Assigned To => AVS
2016-03-02 17:04 AVS Status new => feedback
2016-03-02 17:16 Warmonger Note Added: 0006466
2016-03-02 17:24 AVS Note Added: 0006467
2016-03-02 18:31 AVS Note Added: 0006468
2016-03-02 18:31 AVS Status feedback => assigned
2016-03-02 20:51 Kantor Note Added: 0006469
2016-03-02 20:51 Kantor File Added: minefield 2.jpg
2016-03-03 10:48 AVS Note Added: 0006470
2016-09-23 05:21 SXX Note Added: 0006724
2016-09-23 05:21 SXX Status assigned => resolved
2016-09-23 05:21 SXX Fixed in Version => 0.99
2016-09-23 05:21 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean